credentials_t Struct Reference

A username password pair. More...

`#include <credentials.h>`

## Data Fields

gchar * | username
| Login name of user.
gchar * | password
| Password of user.
gchar * | uuid
| UUID of user.
gchar * | timezone
| Timezone of user.
double | default_severity
| Default Severity setting of user.
gchar * | severity_class
| Severity Class setting of user.
int | dynamic_severity
| Dynamic Severity setting of user.
gchar * | role
| Role of user.
int | excerpt_size
| Note/Override Excerpt Size setting of user.
int | jwt_requested
| Whether a JSON web token is requested.
gchar * | jwt
| Current JSON web token of user.

## Detailed Description

A username password pair.

## Field Documentation

## default_severity

double credentials_t::default_severity

Default Severity setting of user.

## dynamic_severity

int credentials_t::dynamic_severity

Dynamic Severity setting of user.

## excerpt_size

int credentials_t::excerpt_size

Note/Override Excerpt Size setting of user.

## jwt

gchar* credentials_t::jwt

Current JSON web token of user.

## jwt_requested

int credentials_t::jwt_requested

Whether a JSON web token is requested.

## password

gchar* credentials_t::password

Password of user.

## role

gchar* credentials_t::role

Role of user.

## severity_class

gchar* credentials_t::severity_class

Severity Class setting of user.

## timezone

gchar* credentials_t::timezone

Timezone of user.

## username

gchar* credentials_t::username

Login name of user.

## uuid

gchar* credentials_t::uuid

UUID of user.

The documentation for this struct was generated from the following file:

- base/credentials.h